Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.plaf.basic
Class BasicMonthViewUI.RenderingHandler

    java.lang.Object
      org.jdesktop.swingx.plaf.basic.BasicMonthViewUI.RenderingHandler

All Implemented Interfaces:
  CalendarRenderingHandler

Enclosing class:
  BasicMonthViewUI

    protected static class BasicMonthViewUI.RenderingHandler

extends java.lang.Object

Empty subclass for backward compatibility. The original implementation was extracted as standalone class and renamed to BasicCalendarRenderingHandler.

This will be available for extension by LAF providers until all collaborators in the new rendering pipeline are ready for public exposure.

Constructor Summary
`protected` | `BasicMonthViewUI.RenderingHandler()`

Method Summary
`protected StringValue` | `createDayStringValue(java.util.Locale locale)` Creates and returns a StringValue used for rendering days in a month.
`protected StringValue` | `createMonthHeaderStringValue(java.util.Locale locale)` Creates and returns a StringValue used for rendering the title of a month box.
`protected StringValue` | `createWeekOfYearStringValue(java.util.Locale locale)` Creates and returns a StringValue used for rendering the week of year.
`javax.swing.JComponent` | `prepareRenderingComponent(JXMonthView monthView, java.util.Calendar calendar, CalendarState dayState)` Configures and returns a component for rendering of the given monthView cell.
`void` | `setLocale(java.util.Locale locale)` Updates internal state to the given Locale.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicMonthViewUI.RenderingHandler

    protected BasicMonthViewUI.RenderingHandler()

Method Detail

### createMonthHeaderStringValue

    protected StringValue createMonthHeaderStringValue(java.util.Locale locale)

  Creates and returns a StringValue used for rendering the title of a month box. The input they are assumed to handle is a Calendar configured to a day of the month to render.

  Parameters:
    `locale` - the Locale to use, might be null to indicate usage of the default Locale
  Returns:
    a StringValue appropriate for rendering month title.

### createWeekOfYearStringValue

    protected StringValue createWeekOfYearStringValue(java.util.Locale locale)

  Creates and returns a StringValue used for rendering the week of year. The input they are assumed to handle is a Calendar configured to a day of the week to render.

  Parameters:
    `locale` - the Locale to use, might be null to indicate usage of the default Locale
  Returns:
    a StringValue appropriate for rendering week of year.

### createDayStringValue

    protected StringValue createDayStringValue(java.util.Locale locale)

  Creates and returns a StringValue used for rendering days in a month. The input they are assumed to handle is a Calendar configured to the day.

  Parameters:
    `locale` - the Locale to use, might be null to indicate usage of the default Locale
  Returns:
    a StringValue appropriate for rendering days in a month

### setLocale

    public void setLocale(java.util.Locale locale)

  Updates internal state to the given Locale.

  Specified by:
    `setLocale` in interface `CalendarRenderingHandler`
  Parameters:
    `locale` - the new Locale.

### prepareRenderingComponent

    public javax.swing.JComponent prepareRenderingComponent(JXMonthView monthView,
                                                            java.util.Calendar calendar,
                                                            CalendarState dayState)

  Configures and returns a component for rendering of the given monthView cell.

  Specified by:
    `prepareRenderingComponent` in interface `CalendarRenderingHandler`
  Parameters:
    `monthView` - the JXMonthView to render onto
    `calendar` - the cell value
    `dayState` - the DayState of the cell
  Returns:
    a component configured for rendering the given cell

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.